%define		_class		HTML
%define		_subclass	Common
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - PEAR::HTML_Common is a base class for other HTML classes
Summary(pl.UTF-8):	%{_pearname} - PEAR::HTML_Common jest podstawową klasą dla innych klas HTML
Name:		php-pear-%{_pearname}
Version:	1.2.5
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e69765be9d5b5932273fe8b213d8c3c0
URL:		http://pear.php.net/package/HTML_Common/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Common package provides methods for HTML code display
and attributes handling:
- Methods to set, remove, update HTML attributes.
- Handles comments in HTML code.
- Handles layout and tabs for nicer HTML code.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PEAR::HTML_Common dostarcza metody do wyświetlania kodu HTML
oraz obsługę atrybutów.
- Zawiera metody do ustawiania, usuwania, aktualizacji atrybutów HTML.
- Obsługuje komentarze w kodzie HTML.
- Obsługuje ułożenie i tabulacje dla ładniejszego wyglądu kodu HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Common.git;a=log;h=master

* Sun May 03 2020 Marcin Krol <hawk@tld-linux.org> d053b66
- release 2

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fa3085b
- drop obsolete and outdated manual inclusion of rpm macros

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 9a447b0
- updated to 1.2.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ee0c0e3
- rel 2

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 1b1d742
- updated to 1.2.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 705346f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2a7bba1
- converted to UTF-8

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 53e8a0b
- 1.2.3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> b875fb3
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> f802b15
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> d753168
- rel 2

* Fri Sep 23 2005 Elan Ruusamäe <glen@pld-linux.org> e6ab232
- new pear packaging

* Wed Sep 07 2005 Adam Gołębiowski <adamg@pld-linux.org> 1f38622
- updated to 1.2.2

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> a173b99
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 1785e7e
- spelling fixes, uppercases, etc.

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> db6550d
- fixed english information about status of the package

* Mon Mar 15 2004 Adam Gołębiowski <adamg@pld-linux.org> f60102a
- added missing status information (it is stable)

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> b63c4c6
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 3f51892
- more specific URL

* Thu Jun 19 2003 Adam Gołębiowski <adamg@pld-linux.org> 9b9e7c4
- updated to 1.2.1

